curl -X POST "https://api.scanova.io/bulk-operation/update-details/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-F "name=October tag cleanup" \
-F "file=@tag-updates.csv"
{
"operation_id": "bo-upd-001",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
批量操作
批量更新 QR 名称/标签
POST /bulk-operation/update-details/
POST
/
bulk-operation
/
update-details
/
curl -X POST "https://api.scanova.io/bulk-operation/update-details/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-F "name=October tag cleanup" \
-F "file=@tag-updates.csv"
{
"operation_id": "bo-upd-001",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
在 Management API 主机(
异步——轮询列出批量操作获取
api.scanova.io)上根据上传的表格异步更新大量 QR 码的名称和标签,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/bulk-operation/update-details/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
file
必填
填写好的表格。必须恰好包含
qr code id、name、tags 这几列——参见下载批量更新示例表格(?type=update_details)。curl -X POST "https://api.scanova.io/bulk-operation/update-details/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-F "name=October tag cleanup" \
-F "file=@tag-updates.csv"
{
"operation_id": "bo-upd-001",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
status/progress。如果文件未恰好包含所需的三列,或行数据无效,则返回 400。如果账户缺少 BULK_OPERATION 配额、套餐不活跃,或缺少 BULK_OPERATION_CAN_UPDATE 权限,则返回 403。
相关内容
- 下载批量更新示例表格——此文件的来源。
- 批量更新 QR 内容——改为更新目标内容的对应端点。
- 列出批量操作——轮询完成状态。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
Update started.
此页面对您有帮助吗?